'From Squeak3.8gamma of ''24 November 2004'' [latest update: #6485] on 2 December 2004 at 2:29:56 pm'!
"Change Set:		DeveloperWorkspace
Date:			2 December 2004
Author:			Torsten Bergmann

Create a developer image"!

!Rectangle methodsFor: '*developerworkspace' stamp: 'TBN 10/22/2003 14:04'!
extent: aPoint

	corner := origin + aPoint! !

Object subclass: #DWSPInstaller
	instanceVariableNames: 'project wallpaper splash'
	classVariableNames: 'Installer'
	poolDictionaries: ''
	category: 'DeveloperWorkspace-Installation'!

!DWSPInstaller class methodsFor: 'accessing' stamp: 'tbn 12/2/2004 11:15'!
installer: aSARInstaller
	Installer := aSARInstaller! !

!DWSPInstaller commentStamp: 'tbn 12/2/2004 09:28' prior: 0!
This class represents the installer for the developer workspace!


!DWSPInstaller methodsFor: 'accessing' stamp: 'tbn 12/2/2004 11:15'!
project

	^project! !

!DWSPInstaller methodsFor: 'accessing' stamp: 'tbn 12/2/2004 11:15'!
project: aProject

	project := aProject! !

!DWSPInstaller methodsFor: 'accessing' stamp: 'tbn 12/2/2004 10:32'!
wallpaper

	^wallpaper
! !

!DWSPInstaller methodsFor: 'accessing' stamp: 'tbn 12/2/2004 10:32'!
wallpaper: aWallpaper
	
	wallpaper := aWallpaper
! !

!DWSPInstaller methodsFor: 'attributes' stamp: 'tbn 12/2/2004 10:33'!
currentDisplaySize
	"Returns the current display size"

	^Display usableArea extent printString replaceAll: $@ with: $x! !

!DWSPInstaller methodsFor: 'attributes' stamp: 'tbn 12/2/2004 10:53'!
downloadList
	"Returns a list of packages to download"
	^#(
 	   'Monticello' '23'
	   'Refactoring Browser for 3.8' '3'
	   'TestBrowser' '2'
	   'Completion Morph' '2'
	   'Teachable' '2'
	   'IRCLogViewer' '1'
	   'Screen Shot Morph' '2'
	   'YAXO' '1'
	   'Network-HTML' '2'
	   'Scamper' '2'
	   'Celeste' '3'
	   'Shout' '5' 	   
	   'OmniBrowser' '6'
	   'ShoutOmniBrowser' '2'	   
	   'MemoryUsage' '2'
	   'DynamicBindings' '2'
	   'KomServices' '3'
	   'KomHttpServer' '3'	 
 	   'Seaside' '13' 	   
	   'Script Manager' '1'	   	    	   
	)! !

!DWSPInstaller methodsFor: 'installation' stamp: 'tbn 12/2/2004 13:49'!
install
	"self install"

	self userWantToInstall ifFalse: [^self].
	self switchToFullScreen.
	self askForWallpaper.
	Preferences disable: #showSharedFlaps.
	self deleteProjects.
	self emptyTrashCan.
	self deleteSqueakLogo.
	self deleteOpenWindows.	
	self installTheme.
	self presentSplash.
	self installPackages.
	self deleteNumberedChangeSets.
	self deleteTestCases.
	
	self switchEnvironment! !

!DWSPInstaller methodsFor: 'installation' stamp: 'tbn 12/2/2004 10:45'!
installPackages
	| map |
	map := SMSqueakMap default loadUpdates; yourself.
	self downloadList pairsDo: [:package :version | map installPackageNamed: package autoVersion: version].! !

!DWSPInstaller methodsFor: 'installation' stamp: 'tbn 12/2/2004 13:44'!
initialize	
	super initialize.
	splash := self class squeakDeveloperImage asMorph.! !


!DWSPInstaller methodsFor: 'installation' stamp: 'tbn 12/2/2004 13:44'!
presentSplash
	"self new presentSplash"
	World color: Color white.
	World doOneCycle.
	Display fadeImageHor: (Form fromDisplay: (Display usableArea)) reverse at: 0@0.
	(Delay forSeconds: 2) wait.
	splash := self class squeakDeveloperImage asMorph.	
	splash position: (Display usableArea center - splash bounds center - (0@200)).
	splash openInWorld.
	Display fadeImageHor: (Form fromDisplay: (Display usableArea)) reverse at: 0@0.
	World doOneCycle.! !

!DWSPInstaller methodsFor: 'installation' stamp: 'tbn 12/2/2004 13:44'!
installTheme
	Installer isNil ifTrue: [^self].
	Installer fileInMemberNamed: 'Aqua.2.cs'.
	Installer := nil
	! !

!DWSPInstaller methodsFor: 'wallpaper handling' stamp: 'tbn 12/2/2004 10:32'!
askForWallpaper
	|url image |
	url := FillInTheBlank 
			request: 'URL to a ',self currentDisplaySize,' JPEG wallpaper' 
			initialAnswer: 'http://www.webula.net/img/singularity.jpg'.
	url isEmpty ifTrue: [^self]. 		
	image := HTTPSocket httpJpeg: url.
	self wallpaper: (SketchMorph withForm: image).! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 11:26'!
deleteNumberedChangeSets
	"delete all numbered changesets"

	ChangeSorter deleteChangeSetsNumberedLowerThan: SystemVersion current highestUpdate + 1! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 11:41'!
deleteOpenWindows

	(SystemWindow
		windowsIn: World
		satisfying: [:each | true])
		do: [:each | 
			each isCollapsed
				ifTrue: [each expand].
			(each submorphs first respondsTo: #accept) ifTrue: [each submorphs first accept].
			each delete]! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 10:48'!
deleteProjectNamed: aString 
	| project |


	project := Project named: aString.
	project isNil
		ifFalse: [ 
			project removeChangeSetIfPossible.
			ProjectHistory forget: project.
			Project deletingProject: project].
 
	(SystemWindow
		windowsIn: World
		satisfying: [:each | each label = aString])
		do: [:each | 
			each model: nil.
			each delete].
 
	ChangeSorter
		removeChangeSetsNamedSuchThat: [:csName | csName = aString]! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 11:26'!
deleteProjects
	"delete the old projects"

	self deleteProjectNamed: 'Building with Squeak'.
	self deleteProjectNamed: 'Fun with Morphic'.
	self deleteProjectNamed: 'More About Sound'.
	self deleteProjectNamed: 'Fun With Music'.
	self deleteProjectNamed: 'New Changes'.
	self deleteProjectNamed: 'Squeak and the Internet'.
	self deleteProjectNamed: 'The Worlds of Squeak'.! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 11:25'!
deleteSqueakLogo
	"delete the squeak logo"

	(World submorphs
		select: [:each | each externalName = 'SqueakLogo'])
		do: [:each | 
			each delete]! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 11:44'!
deleteTestCases
	"self new deleteTestCases"

	TestCase allSubclasses do: [:each |
		each removeFromSystem].

	#('*-Tests' '*-Test' 'SUnit-Extensions') 
			do: [:each | self removeSystemCategoriesMatching: each]! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 11:42'!
emptyTrashCan
	TrashCanMorph allInstances do: [:each | each delete].
	Utilities emptyScrapsBook! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 10:45'!
removeSystemCategoriesMatching: aString

	SystemOrganization removeCategoriesMatching: aString! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 10:45'!
switchToFullScreen
	"Switches the display to full screen mode"
	
	Display fullScreenMode: true.
	World doOneCycle
	! !

!DWSPInstaller methodsFor: 'utilities' stamp: 'tbn 12/2/2004 13:08'!
userWantToInstall
	^(PopUpMenu confirm: 'DEVELOPER WORKSPACE 
----------------------------------------------------------------------------------
The installation process may override your work.
You should only install this package in a new and 
clean 3.8 full image with the latest updates loaded.
-
Would you like to proceed and install Developer Workspace?
')! !

!DWSPInstaller methodsFor: 'events' stamp: 'tbn 12/2/2004 11:18'!
onProjectEntered
	Preferences disable: #showSharedFlaps.

	self wallpaper isNil ifTrue: [
		| fill |
		fill := GradientFillStyle ramp: {0.0 -> Color blue muchLighter. 1.0 -> Color white}.
		fill origin: 0 @ 0.
		fill direction: 0 @ 768.
		World fillStyle: fill
	].
	DWSPDeveloperMenu open.
! !

!DWSPInstaller methodsFor: 'environment' stamp: 'tbn 12/2/2004 11:17'!
createProject

	self project: (Project newMorphicOn: nil).
	project renameTo: 'Developer Workspace'.
	project displayDepth: 32.
	project world 
		when: #aboutToEnterWorld 
		send: #onProjectEntered
		to: self.

	self wallpaper isNil ifTrue: [^self].

	project world addMorph: wallpaper.
	self wallpaper 
			position: 0@0;
			bounds: Display usableArea;
			lock.
! !

!DWSPInstaller methodsFor: 'environment' stamp: 'tbn 12/2/2004 11:20'!
switchEnvironment
	"self new switchEnvironment"

	Preferences 
		disable: #projectViewsInWindows;
		disable: #showSharedFlaps;
		disable: #okToReinitializeFlaps.	
	self createProject.
	self project enter.
	PartsBin clearThumbnailCache.! !


!DWSPInstaller class methodsFor: 'installation' stamp: 'tbn 12/2/2004 10:46'!
install
	"start the installation"

	self new install! !

!DWSPInstaller class methodsFor: 'resources' stamp: 'tbn 12/2/2004 13:25'!
squeakDeveloperImage
	^self reconstituteResourceFrom: 
'H4sIAAAAAAAAAOW9CVyTV9Y//oSGGAIESCABogRIIQUKFCggRERJS6akhSlpSSUKlrRmhijp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'  ! !

!DWSPInstaller class methodsFor: 'resource handling' stamp: 'tbn 12/2/2004 13:23'!
reconstituteResourceFrom: aString	
	| referenceStream object |
	referenceStream _ ReferenceStream on: (self reconstituteStreamFrom: aString).
	
	object _ referenceStream next.
	referenceStream close.
	
	^ object	! !

!DWSPInstaller class methodsFor: 'resource handling' stamp: 'tbn 12/2/2004 13:22'!
reconstituteStreamFrom: aString	
	| decoded unzipped |
	decoded _ RWBinaryOrTextStream on: (ByteArray new: 5000).
	Base64MimeConverter
		mimeDecode: aString
		to: decoded.
	decoded reset.

	unzipped _ RWBinaryOrTextStream with: ((GZipReadStream on: decoded) upToEnd).
	^ unzipped reset! !
	
SimpleButtonMorph subclass: #DWSPToolButton
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DeveloperWorkspace-UI'!

!DWSPToolButton methodsFor: 'initialization' stamp: 'TBN 10/22/2003 16:58'!
initialize
	super initialize.
	self 
		borderStyle: BorderStyle raised; 
		borderWidth: 0;
	 	color: Color veryLightGray;
   	 	label: '';
  	 	extent: 36@36;	 	
	    cornerStyle: #squared;
		on: #mouseEnter send: #mouseEnter: to: self;
		on: #mouseLeave send: #mouseLeave: to: self.! !


!DWSPToolButton methodsFor: 'events' stamp: 'TBN 10/22/2003 15:20'!
mouseEnter: anEvent
	self borderWidth: 1! !

!DWSPToolButton methodsFor: 'events' stamp: 'TBN 10/22/2003 16:15'!
mouseLeave: anEvent
	self borderWidth: 0! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DWSPToolButton class
	instanceVariableNames: ''!

!DWSPToolButton class methodsFor: 'examples' stamp: 'TBN 10/22/2003 15:31'!
example1
	"self example1"

	^(self  
		image: DWSPDeveloperMenu imageForMonticello
		actionSelector: #inspect
		target: 1) openInWorld! !


!DWSPToolButton class methodsFor: 'instance creation' stamp: 'TBN 10/22/2003 15:30'!
image: image actionSelector: selector target: aTarget

	|picture|
	picture := image asMorph.
	picture position: 2@2.
	^self new
		actionSelector: selector;
		target: aTarget;
		addMorph: picture 		 	
		! !


!DWSPToolButton class methodsFor: 'parts bin' stamp: 'TBN 12/4/2003 12:26'!
descriptionForPartsBin

	^ self partName: 	'Tool Button'
		categories:		#('DeveloperWorkspace')
		documentation:	'A Simple button showing when mouse is over.'! !


BorderedMorph subclass: #DWSPWindow
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DeveloperWorkspace-UI'!

!DWSPWindow methodsFor: 'utilities' stamp: 'TBN 12/4/2003 12:34'!
addComponent: aMorph fractions: fractions offsets: offsets

	self addComponent: aMorph to: self fractions: fractions offsets: offsets! !

!DWSPWindow methodsFor: 'utilities' stamp: 'TBN 12/4/2003 12:35'!
addComponent: aMorph to: containerMorph fractions: fractions offsets: offsets

	containerMorph
		addMorph: aMorph
		fullFrame:
				(LayoutFrame
					fractions: 
					((fractions first)@(fractions second) corner: 
						(fractions third)@(fractions fourth))
					offsets:
						((offsets first)@(offsets second)  corner:
							(offsets third)@(offsets fourth)))! !


!DWSPWindow methodsFor: 'component creation' stamp: 'TBN 12/4/2003 11:22'!
createCloseButton
	
	^SimpleButtonMorph new
		 borderStyle: BorderStyle complexAltInset; 
		 borderWidth: 3;
	 	 color: Color veryLightGray;
   	 	 label: '';
  	 	 extent: 10@10;
		 position: 4@4;
		 target: [(nil confirm: 'Really close this window?') ifTrue: [self delete]];
		 actionSelector: #value;
	     cornerStyle: #squared
 

! !

!DWSPWindow methodsFor: 'component creation' stamp: 'TBN 12/4/2003 11:21'!
createGradientTitleBar

	^RectangleMorph new
		borderStyle: BorderStyle raised; 
	 	borderWidth: 1;
	 	fillStyle: (GradientFillStyle new
					colorRamp: {
						0.0 -> (Color fromString: '#0A246A'). 
						1.0 -> (Color fromString: '#A6CAF0')};
					radial: false;
					origin: 0 @ 0;
					direction: 100@0);
		addMorph: self createCloseButton; 
		 
		yourself
 ! !


!DWSPWindow methodsFor: 'interface opening' stamp: 'TBN 12/4/2003 11:48'!
open	
	self openInWorld! !


!DWSPWindow methodsFor: 'attributes' stamp: 'TBN 12/4/2003 11:26'!
initialBackgroundColor
	^Color veryLightGray! !

!DWSPWindow methodsFor: 'attributes' stamp: 'TBN 12/4/2003 11:30'!
initialExtent
	^200@100
! !

!DWSPWindow methodsFor: 'attributes' stamp: 'TBN 12/4/2003 11:29'!
initialPosition
	^20 @ 20! !


!DWSPWindow methodsFor: 'initialization' stamp: 'TBN 12/4/2003 11:48'!
initialize
	super initialize.
	self initWindow.
	self initChildWindows.! !


!DWSPWindow methodsFor: 'window initialization' stamp: 'TBN 12/4/2003 11:27'!
initChildWindows
	"do nothing by default. Subclass may override this method to initialize/add their child components"! !

!DWSPWindow methodsFor: 'window initialization' stamp: 'TBN 12/4/2003 11:31'!
initTitleBar
	self 
		addComponent: self createGradientTitleBar
	 	fractions: #(0 0 1 0) 
		offsets: #(2 2 -2 20).! !

!DWSPWindow methodsFor: 'window initialization' stamp: 'TBN 12/4/2003 11:31'!
initWindow
	"initializes the receiver window"
	self
		borderStyle: BorderStyle raised;
		borderWidth: 1;
		color: self initialBackgroundColor;
		layoutPolicy: ProportionalLayout new.
	self extent: self initialExtent.
	self position: self initialPosition.
	self initTitleBar
! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DWSPWindow class
	instanceVariableNames: ''!

!DWSPWindow class methodsFor: 'instance creation' stamp: 'TBN 12/4/2003 11:29'!
open

	^self new 
		open! !


DWSPWindow subclass: #DWSPDeveloperMenu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DeveloperWorkspace-UI'!
!DWSPDeveloperMenu commentStamp: 'TBN 10/22/2003 17:08' prior: 0!
A simple menu helping developer to open the tools

	DWSPDeveloperMenu open!


!DWSPDeveloperMenu methodsFor: 'utilities' stamp: 'TBN 10/22/2003 16:27'!
addButton: imageSelector action: selector target: target helpText: text at: aPoint

 	| x1 x2 y1 y2 |
	x1 := (aPoint x - 1) * 36 + 2.
	x2 := x1 + 36.
	y1 := (aPoint y - 1) * 36 + 22.
	y2 := y1 + 36.
	
	self 
		addButton: imageSelector 
		action: selector 
		target: target 
		helpText: text 
		fractions: #(0 0 0 0) 
		offsets: (Array with: x1 with: y1 with: x2 with: y2)
 ! !

!DWSPDeveloperMenu methodsFor: 'utilities' stamp: 'TBN 10/22/2003 15:44'!
addButton: imageSelector action: selector target: target helpText: text fractions: fractions offsets: offset
	|image button|
	image := self class perform: imageSelector.
	button := DWSPToolButton	
				 image: image 
				 actionSelector: selector 
				 target: target.
	button setBalloonText: text.
	self 
		addComponent: button
	 	fractions: fractions 
		offsets: offset
 ! !

!DWSPDeveloperMenu methodsFor: 'utilities' stamp: 'TBN 10/22/2003 14:08'!
addComponent: aMorph fractions: fractions offsets: offsets

	self
		addMorph: aMorph
		fullFrame:
				(LayoutFrame
					fractions: 
					((fractions first)@(fractions second) corner: 
						(fractions third)@(fractions fourth))
					offsets:
						((offsets first)@(offsets second)  corner:
							(offsets third)@(offsets fourth)))! !


!DWSPDeveloperMenu methodsFor: 'component creation' stamp: 'TBN 10/22/2003 15:03'!
createButton
	
	|button|
	button := SimpleButtonMorph new.
	button
		 borderStyle: BorderStyle raised; 
		 borderWidth: 0;
	 	 color: Color veryLightGray;
   	 	 label: '';
  	 	 extent: 32@32;	 	
	     cornerStyle: #squared;
		 on: #mouseEnter send: #activate: to: self;
		openInWorld.


! !

!DWSPDeveloperMenu methodsFor: 'component creation' stamp: 'TBN 10/22/2003 14:23'!
createCloseButton
	
	^SimpleButtonMorph new
		 borderStyle: BorderStyle complexAltInset; 
		 borderWidth: 3;
	 	 color: Color veryLightGray;
   	 	 label: '';
  	 	 extent: 10@10;
		 position: 4@4;
		 target: [(nil confirm: 'Really close this window?') ifTrue: [self delete]];
		 actionSelector: #value;
	     cornerStyle: #squared
 

! !

!DWSPDeveloperMenu methodsFor: 'component creation' stamp: 'TBN 10/22/2003 14:17'!
createGradientTitleBar

	^RectangleMorph new
		borderStyle: BorderStyle raised; 
	 	borderWidth: 1;
	 	fillStyle: (GradientFillStyle new
					colorRamp: {
						0.0 -> (Color fromString: '#0A246A'). 
						1.0 -> (Color fromString: '#A6CAF0')};
					radial: false;
					origin: 0 @ 0;
					direction: 100@0);
		addMorph: self createCloseButton; 
		 
		yourself
 ! !


!DWSPDeveloperMenu methodsFor: 'initialize-release' stamp: 'TBN 12/10/2003 09:34'!
initChildWindows

	self 
		addButton: #imageForTranscript
		action: #open 
		target: Transcript
		helpText: 'Open Transcript'
		at: 1@1.

	self 
		addButton: #imageForWorkspace
		action: #open
		target: Workspace 
		helpText: 'Open Workspace'
		at: 2@1.

	self 
		addButton: #imageForBrowser
		action: #openBrowser
		target: Browser 
		helpText: 'Open Browser'
		at: 3@1.

	self 
		addButton: #imageForStarBrowser
		action: #value
		target: [ Smalltalk at: #StarBrowser ifPresent: [:cls | cls open] ] 
		helpText: 'Star Browser'
		at: 4@1.

	self 
		addButton: #imageForMethodFinder
		action: #value
		target: [SelectorBrowser new morphicWindow openInWorld] 
		helpText: 'Open Method Finder'
		at: 5@1.

	self 
		addButton: #imageForPackageLoader
		action: #open
		target: SMLoader 
		helpText: 'Open Package Loader'
		at: 6@1.

	self 
		addButton: #imageForIRCViewer
		action: #value
		target: [ Smalltalk at: #ILVLogListViewer ifPresent: [:cls | cls open] ] 
		helpText: 'Open IRC Log Viewer'
		at: 7@1.

	self 
		addButton: #imageForScriptManager
		action: #value
		target: [ Smalltalk at: #ScriptManager ifPresent: [:cls | cls open] ]  
		helpText: 'Open Scriptmanager'
		at: 8@1.

	self 
		addButton: #imageForTestBrowser
		action: #value
		target: [ Smalltalk at: #TestBrowser ifPresent: [:cls | cls open] ]
		helpText: 'Open SUnit Test Browser'
		at: 1@2.

 	self 
		addButton: #imageForMonticello
		action: #value
		target: [ Smalltalk at: #MCWorkingCopyBrowser ifPresent: [:cls | cls open] ]
		helpText: 'Open Monticello'
		at: 2@2.

	self
		addButton: #imageForScamper
		action: #value
		target: [ Smalltalk at: #Scamper ifPresent: [:cls | cls open] ]
		helpText: 'Open Scamper Webbrowser'
		at: 3@2.

	self
		addButton: #imageForCeleste
		action: #value
		target: [ Smalltalk at: #Celeste ifPresent: [:cls | cls open] ]
		helpText: 'Open Celeste E-Mail Tool'
		at: 4@2.

	self 
		addButton: #imageForJacaranda
		action: #value
		target: [ Smalltalk at: #DiagramBrowser ifPresent: [:cls | World project flapsSuppressed: false. cls openBrowser] ]
		helpText: 'Open Diagram Browser'
		at: 5@2.

	self 
		addButton: #imageForMemoryUsage
		action: #value
		target: [ Smalltalk at: #MemoryUsage ifPresent: [:cls | cls new color: Color lightBlue; openInWorld ]]
		helpText: 'Open Memory Usage'
		at: 6@2.

	self 
		addButton: #imageForFileList
		action: #value
		target: [(TheWorldMenu new adaptToWorld: World) openFileList] 
		helpText: 'Open File List'
		at: 7@2.
 
 ! !

!DWSPDeveloperMenu methodsFor: 'initialize-release' stamp: 'TBN 12/10/2003 09:35'!
initialize
	super initialize.
	self 
		borderStyle: BorderStyle raised; 
		borderWidth: 1;
		color: Color veryLightGray;
		layoutPolicy: ProportionalLayout new.
	self bounds extent: 301@98. 
	self position: 20@20.
	self initChildWindows


	! !


!DWSPDeveloperMenu methodsFor: 'interface opening' stamp: 'TBN 10/22/2003 14:00'!
open
	self openInWorld! !


!DWSPDeveloperMenu methodsFor: 'attributes' stamp: 'TBN 12/4/2003 11:28'!
initialExtent
	^258 @ 98! !

!DWSPDeveloperMenu methodsFor: 'attributes' stamp: 'TBN 12/4/2003 11:28'!
initialPosition
	^20 @ 20! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DWSPDeveloperMenu class
	instanceVariableNames: ''!

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 17:07'!
imageForBrowser
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 286331153 286331153 286331153 286331153 268435456 17 286331153 286331153 270672418 572661809 286331153 286331153 270672418 572661809 286331153 286331153 268435456 49 286331153 286331153 270672418 572661809 286331153 286331153 270672418 572661809 286331153 286331153 268435456 49 286331153 286331153 270672418 572661809 286331153 286331153 270672418 572661809 268435456 17 268435456 49 270672418 572661809 288568112 858993457 270672418 572661809 286331152 823202065 268435456 49 286331152 0 2236962 572661809 286331152 858993459 807543330 572661809 286331152 823202065 268435456 49 286331152 823202065 270672418 572661809 286331152 823202065 270672418 572661809 286331152 823202065 268435456 49 286331152 823202065 288568115 858993457 286331152 823202065 286331153 286331153 286331152 823202065 268435456 17 286331152 823202065 270672418 572661809 286331152 823202065 270672418 572661809 286331152 823202065 268435456 49 286331152 0 2236962 572661809 286331153 858993459 807543330 572661809 286331153 286331153 268435456 49 286331153 286331153 270672418 572661809 286331153 286331153 270672418 572661809 286331153 286331153 268435456 49 286331153 286331153 288568115 858993457)
	offset: 0@0)
	colorsFromArray: #(#(0.741 0.482 0.0) #( ) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 11/26/2003 12:47'!
imageForIRCViewer
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 286331153 286331153 286331153 286331153 286331153 286331153 286331170 554766609 286331153 286331153 286331477 1109463313 286331153 286331153 304222771 1430397201 286331153 286331153 626270771 861225505 286331153 286331153 590697506 859002144 286331153 286331154 590558548 573780512 286331153 286331173 1379087157 1375941152 286331153 286331171 1428370227 570634784 286331153 286331443 894579507 570634784 286331153 286331443 861217587 570634784 286331153 286335744 859132467 570634784 286331153 286335744 859002147 570565152 286331153 304231219 805511683 570774048 286331153 592716595 805511682 570634784 286331154 859120179 858923093 570634784 286331171 859128355 858923059 570634784 286331443 859001426 857867059 570634784 286336291 805524517 589431603 570634784 286405923 805516580 1377841971 570634784 287519570 858993984 1109406515 570438144 305345362 858993184 570426163 570556433 590558005 590553632 570564611 536940817 53674037 590488066 539107872 17895697 53674035 1377968194 539107601 286331153 271790899 1377960994 35721489 286331153 271790899 572530722 17895697 286331153 285422386 570565120 286331153 286331153 285422370 539107601 286331153 286331153 286274082 35721489 286331153 286331153 286269984 554766609 286331153 286331153 286326786 286331153 286331153 286331153)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #( ) #(0.678 0.678 0.482) #(0.807 0.807 0.58) #(0.807 0.807 0.807) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/30/2003 16:16'!
imageForCeleste
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 572662306 572662306 572662306 572662306 572662306 572662306 572662306 572662306 572662306 572662272 35791394 572662306 572662306 572653653 1342317090 572662306 572662306 572544341 1431314978 572662306 572522496 0 0 8738 572540518 1181107814 1181107814 1180705314 572548678 1715889734 1715889734 1715479074 572540433 291915366 1181107814 1180705314 572548678 1715889734 1715889734 1715479074 570443281 370217318 1181107814 1180697122 542139974 1715889734 1715889734 1715490850 89146982 1181107814 1181107814 1180718338 5269062 286332481 289804561 373313538 50349670 1181107814 1181107814 1180697346 53503558 286658838 286332433 1715483394 53675622 1181107814 1181107814 1174614786 53686342 286351633 370544918 1613968130 53687040 1181107814 1181107808 53687042 53687091 105276998 1715889667 858993410 53687091 805717606 1181089843 858993410 53687091 808478278 1715482675 858993410 53687091 53674086 1073951491 858993410 53687088 858993408 53687088 858993410 53687043 858993459 858993459 53687042 53686323 858993459 858993459 808661762 53674803 858993459 858993459 855847682 53490483 858993459 858993459 858796802 50541363 858993459 858993459 858981122 3355443 858993459 858993459 858992642 0 0 0 2 572662306 572662306 572662306 572662306)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.451 0.451 0.451) #( ) #(0.807 0.807 1.0) #(1.0 1.0 0.807) #(1.0 1.0 0.968) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 16:58'!
imageForFileList
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858992640 13107 858993459 858993459 858983082 2863137587 858993459 858993459 858827400 2290638899 858993459 858993459 856335974 1717986307 858993459 858993459 816464964 1145324608 0 51 178956970 2863311530 2863311530 2863311363 144284057 2576980377 2576980377 2576978179 144284057 2576980376 2559080567 1987461379 144284057 2566914185 2290583415 1734754563 144284057 2426963976 2289596278 1986412803 144284057 172246080 7 1717911811 144284057 178956970 2863311376 1716928771 144284057 161061272 2290574864 1701134595 144284057 161061256 2289460496 1448427779 144284057 161061000 2271630608 1700086019 144284056 161056904 1986352400 1431650563 144284041 160991367 1716868368 1431650563 144283800 159942774 1700091152 1431650563 144279944 143165286 1431655696 1431650563 144218248 89478485 1431655696 1431650563 143231111 0 0 1431650563 144214136 2004252262 1448432981 1431650563 140858709 1431655765 1431655765 1431650563 102900258 572662306 572662306 572662019 0 0 0 3 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.321 0.321 0.321) #(0.451 0.451 0.451) #( ) #(0.611 0.611 0.611) #(0.646 0.646 0.646) #(0.776 0.776 0.776) #(0.807 0.807 0.807) #(0.87 0.87 0.87) #(1.0 1.0 0.968) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 11/26/2003 12:17'!
imageForJacaranda
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 2004287488 0 0 2004318071 2004291310 4008636142 4008636128 125269879 2004291310 4008636142 4008636128 3765925751 2004291310 4008636142 4008636128 3993466743 2004291310 4008636142 4008636128 4007688055 2004291310 4008636142 4008636112 4008576887 2004291310 4008636142 4008570336 1911 2004291310 4008636142 3739147998 3739092855 2004291310 4008636141 3991793133 3990685559 2004291310 0 0 3739092855 2004291310 22630745 1364283728 3722250103 2004291310 157902486 1717986832 3470591863 2004291294 110729574 1717986896 3453814647 2004291310 161060454 1717986832 3453814647 2004291309 10067456 0 3453683575 2004291294 177813738 2863311520 3453814647 2004291310 164217486 3435973792 3420129143 2004291293 214551592 3972844704 3451717495 2004291054 214551746 2395786400 3420129143 2004291293 0 685768704 3451717495 2004291310 178956970 2727258784 3418031991 2004291293 214748364 3425234080 3451717495 2004291053 214748364 3435302048 3418031991 2004291310 214748364 3435973792 3451717495 2004291294 0 0 3418031991 2004291294 3737963724 3435973836 3418031991 2004291051 3954490299 3149183931 3149137783 2004291291 3149642683 3149642683 3149596535 2004290996 3031741620 3031741620 3031697271 2004290379 3142302539 3142302539 3142256503 2004287488 0 0 1911 2004318071 2004318071 2004318071 2004318071)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.0 0.0 0.388) #(0.388 0.0 0.388) #(0.388 0.388 0.0) #(0.388 0.388 0.388) #(0.0 0.0 0.611) #(0.0 0.0 1.0) #( ) #(1.0 0.0 1.0) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.611 0.611 0.611) #(0.776 0.776 0.776) #(0.807 0.807 0.807) #(1.0 1.0 1.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 11/26/2003 12:39'!
imageForMemoryUsage
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 1717986918 1717986918 1717986918 1717986918 1717986816 107374182 1717986918 1717986918 1717960738 537290342 1717986918 1717986918 1711284768 89130598 1717986918 1717986918 2236928 348166 1717986918 1717986918 54809856 1360 107374182 1717986918 7618901 1285 1342596710 1717986918 1711305747 1426083840 89130598 1717986918 1717960820 878006272 348166 1717986918 1717986816 1949586688 21840 107374182 1717986918 7614805 20485 1342596710 1717986918 1711305796 1426391040 89130598 1717986816 107348084 1096089600 348166 1717960738 537290240 1949390080 349520 1711284768 89130598 7619669 5592368 2236928 348166 1711305793 1429418240 54809856 1360 107348084 858849382 7618901 1285 1342596608 1929406054 1711305747 1426083840 89130598 6710886 1717960820 878006272 348166 1717986918 1717986816 1949586688 21840 107374182 1717986918 7614805 20485 1342596710 1717986918 1711305796 1426391040 89130598 1717986918 1717960820 1096089600 348166 1717986918 1717986816 1949390080 349520 1717986918 1717986918 7619669 5592368 1717986918 1717986918 1711305793 1429418240 1717986918 1717986918 1717960820 858849382 1717986918 1717986918 1717986816 1929406054 1717986918 1717986918 1717986918 6710886 1717986918 1717986918 1717986918 1717986918 1717986918 1717986918 1717986918 1717986918)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.0 0.192 0.0) #(0.0 0.258 0.0) #(0.0 0.321 0.0) #(0.192 0.388 0.0) #(0.192 0.611 0.0) #( ) #(1.0 0.807 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 16:24'!
imageForMethodFinder
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 0 0 0 51 17895697 286331153 286331153 286330931 17895697 286351633 370217233 286330965 17895697 286351633 370217233 286330965 17897057 291922198 1712394513 286330965 17916182 370237793 370237713 286330965 17916182 370237793 370217233 286330965 17916182 370237793 370237713 286330965 17897062 291922198 1712394513 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17917457 286331158 1628508438 1717637205 18223457 291574113 370217238 286330965 17895777 291574033 370566678 1712394325 17896977 1717985553 1628508433 291573845 17916177 291574033 370566673 291573845 18223377 291574113 370217238 291573845 18245217 286331158 1628508433 1712394325 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895697 286331153 286331153 286330965 17895702 1717986833 291922193 286330965 1145324612 1145324612 1145324612 1145324629 1145324612 1145324612 1145324612 1145324629 572662306 572662306 572662306 572662357 861230421 1431655765 1431655765 1431655765 861230421 1431655765 1431655765 1431655765)
	offset: 0@0)
	colorsFromArray: #(#(0.192 0.192 0.192) #(0.192 0.388 0.388) #(0.388 0.192 0.0) #( ) #(0.807 0.611 0.388) #(0.611 0.611 0.611) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 14:43'!
imageForMonticello
	^((ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 286331153 286331392 2167057 286331153 286331153 286392354 838996241 286331153 286331153 287322931 874520849 286331153 286331153 302199603 1128464913 286331153 286331153 270742323 876879889 286331153 286331153 539177779 1128480801 286331153 286331153 35795763 875835905 286331153 286331153 35857203 858993409 286331153 286331153 35795763 858993409 286331153 286331153 539173683 858993409 286331153 286331153 268566579 858993153 286331153 286331153 268436259 590557217 286331153 286331153 302002946 841163281 286331153 286331153 285224962 573571345 286331153 286331153 285421568 33554449 286331153 286331168 196608 12320 2167057 286335011 273 286262018 573579537 286393139 874520849 286327600 590545425 287322931 1128399377 286392368 53747745 302199603 876872209 286261299 54739457 270738227 1128464929 286269443 590627842 539173683 875835425 287318832 860046112 539177779 805306368 8995 859059248 35795507 808661811 855778083 858997552 35795507 805306368 8755 858993456 539173667 589430817 285221667 590557984 270672691 858992657 287318578 858993410 268575266 842138129 286261794 842150401 301998627 589496593 286392354 589504545 287310370 573579537 286334978 572654097 286392322 135441 286331392 33554705 286331392 34672913 286331154 135441)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #( ) #(0.517 0.517 0.517) #(0.776 0.776 0.776) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  ))! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 16:47'!
imageForPackageLoader
	^(ColorForm
	extent: 31@32
	depth: 4
	fromArray: #( 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717986918 1717986918 1717986918 1717986912 1717985280 150 0 157705824 1717964031 4194302528 3489636351 2758174304 1717963946 2762647360 3400157866 1952867936 1717961796 1145325376 1145324612 1952867936 1717963946 2762647360 3400157866 1952867936 1717963946 2762647344 3400157866 1936090720 1717963895 1937209088 3346478967 1885759072 1717985280 102 0 107374176 0 0 0 96 859064729 2648702975 4294967017 2576630528 53687369 2577260543 4294826393 2487431264 1610612753 286331152 69905 1632 1717985362 626152710 1717589280 1717986912 1717986821 729962502 1717590048 1717986912 1717986821 729961088 100698144 1717986912 1717986912 629520424 2156431392 1717986912 1717986918 39357314 3095955536 1717986912 1717986918 1613060283 1539003680 1717986912 1717986918 1711416664 2290660640 1717986912 1717986918 1717568037 1485343520 1717986912 1717986918 1717985282 626559056 1717986912 1717986918 1717986912 39159840 1717986912 1717986918 1717986918 35804448 1717986912 1717986918 1717986912 3724533213 107374176 1717986918 1717986912 0 107374176 1717986918 1717986912 53673984 107374176)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.008) #(0.129 0.129 0.129) #(0.388 0.192 0.0) #(0.285 0.285 0.285) #(0.4 0.4 0.4) #(0.807 0.388 0.192) #( ) #(0.678 0.678 0.482) #(1.0 0.611 0.388) #(0.619 0.619 0.619) #(0.807 0.807 0.58) #(1.0 0.807 0.611) #(1.0 1.0 0.741) #(0.823 0.823 0.823) #(0.807 0.807 1.0) #(1.0 1.0 0.987)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/30/2003 14:11'!
imageForScamper
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 2863311530 2863267840 43690 2863311530 2863311530 2684372068 284287473 2685053610 2863311520 107373632 4280193527 535866026 2863311366 1717978127 3424555511 536808106 2863308902 1717977340 3253305847 1912598698 2863269478 1717968844 3253305847 1912602394 2862638694 1717964748 3253305847 1912602378 2852406886 1717697740 513376759 1965031409 2852406886 1717632204 513376759 1965031408 2688829030 1717632204 513376759 1965031408 2688829030 1717632204 513376759 1965031408 2688829030 1717632204 513376759 1965031408 71582822 1717632204 513376759 1965031408 71582790 1715535052 513376759 1965031408 71582790 1717832908 513376759 1965031168 71582788 1717832908 429490679 1965031168 71582788 1147551980 3231285751 1375727712 71582788 1145331948 3230237175 1375727712 71582788 1145333262 3424223733 536806464 71582788 1145324640 3961028981 535839808 2688828484 1145324646 249594192 4278469642 2688828484 1145324646 1610645840 4473866 2688828484 1145324646 1644106015 4047782922 2852406340 1145324646 1658843647 3527688362 2852406340 1145324612 1831858687 759447722 2862629956 1145324612 1713369599 340003498 2863268932 1145324612 1085276416 2957028010 2863308868 1145324612 1077654459 806005418 2863311364 1145324612 1086012339 2963974826 2863311520 71582788 1085520699 2963974826 2863311530 2684372036 1077654459 816491178 2863311530 2863267840 0 178956970)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.129 0.129 0.129) #(0.321 0.321 0.321) #(0.451 0.451 0.451) #(0.0 0.0 1.0) #(0.388 0.388 0.807) #(0.0 1.0 0.0) #(0.0 0.611 1.0) #(0.87 0.0 0.0) #(1.0 0.388 0.192) #( ) #(0.807 0.611 0.388) #(1.0 1.0 0.0) #(0.611 0.611 0.611) #(1.0 0.807 0.611) #(0.917 0.917 0.925)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 12/10/2003 09:33'!
imageForScriptManager
	^((ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 572662306 572662306 572858914 572662306 572662306 572662306 626479650 572662306 572662306 572662309 1464300834 572662306 572662306 1431446871 1198999378 572662306 572662357 2003130183 2001172293 572662306 572663111 2001090423 1198999415 1377968674 572675959 1700094791 2001172295 1965171234 572868453 1983271223 1198999415 1196565026 576157286 1701143350 2001172295 2001019426 625431911 1712740115 1735870327 1199002146 930502165 1431721301 927430471 2001171746 930506582 1969559159 913786743 1198999378 1668773126 1461024631 1937209159 2001172293 909600593 1700165495 2000111479 1198999347 909604374 1450669943 2000058183 2001154918 1667450725 1735882615 2004051831 1194550835 104216439 2004318071 2004301383 862335841 20330055 2004318071 2001154867 1714643216 538141559 2004318071 1999860582 861999106 538326583 2004318071 863385139 1628439074 570504759 2004318067 1983084081 268575266 572527459 2004318007 863384336 35791394 572528182 930575219 1982926850 572662306 572653878 930559799 823132706 572662306 572661779 1668510577 268575266 572662306 572661782 909588240 35791394 572662306 572662273 912486656 572662306 572662306 572662304 322375682 572662306 572662306 572662304 325124130 572662306 572662306 572662306 17826338 572662306 572662306 572662306 536879650 572662306 572662306 572662306 537010722 572662306 572662306)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.517 0.0 0.0) #( ) #(0.517 0.517 0.0) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.776 0.776 0.776) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  ))! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 11/26/2003 12:19'!
imageForStarBrowser
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 859124531 858993459 858993459 858993459 860902195 858993459 858993459 858993459 855900979 858993459 858993459 858993461 262149 858993459 858993459 858993488 1145324608 1395864371 858993459 858993461 4472837 858993459 858993459 858993459 1346388051 858993459 858993459 858993459 67437571 858993459 858993459 858993459 5459986 858993459 858993459 858993459 858993409 590558003 858993459 858993459 858993456 305345331 858993459 858993459 858993459 19084083 858993459 858993459 858993459 806499123 858993459 858993459 858993459 855712563 858993459 858993459 858993459 858788403 858993459 858993459 858993459 858980643 858993459 858993459 858993459 858992658 858993459 858993459 858993459 858993409 590558003 858993459 858993459 858993456 305345331 858993459 858993459 858993459 19084083 858993459 858993459 858993459 808661811 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459 858993459)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.517 0.0 0.0) #(1.0 0.0 0.0) #( ) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 16:30'!
imageForTestBrowser
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 1431655765 1435011208 2290649224 1431655765 1431655765 1487509913 2576980392 89478485 1431655765 2325322137 2576980616 89478485 1431655768 2863311530 2863310984 89478485 1431865480 2845310976 144283784 143164757 1431874216 2843781785 2156501120 2290091349 1431669144 2818572296 2282264584 2567439701 1431656600 2693805120 2282264584 2424329557 1431656584 2693809220 134780936 2424329557 1431655816 2693809220 134780936 134567253 1431655768 2835362884 8951816 5592405 1431655768 2845410099 143169664 89478485 1431655768 2845415833 2576980104 89478485 1431865480 2845310976 144283784 143164757 1431874216 2843781785 2156501120 2290091349 1431669144 2818572296 2282264584 2567439701 1431656600 2692769648 2282264584 2424329557 1431656584 2692773751 134780936 2424329557 1431655816 2692773751 134780936 134567253 1431655768 2835375991 8951816 5592405 1431655768 2845410918 143169664 5592405 1431655768 2845415833 2576980104 89478485 1431865480 2845310976 144283784 143164757 1431874216 2843781785 2156501120 2290091349 1431669144 2818572296 2282264584 2567439701 1431656584 2692747808 2282264584 2424329557 1431656584 2692751906 134780936 2424329557 1431655816 2692751906 134780936 134567253 1431655768 2835354146 8951816 5592405 1431655768 2845409553 143169536 89478485 1431655768 2827520136 2290653189 1431655765 1431655765 0 85 1431655765)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.0 0.517 0.0) #(0.0 1.0 0.0) #(0.517 0.0 0.0) #(1.0 0.0 0.0) #( ) #(0.517 0.517 0.0) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.776 0.776 0.776) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 10/22/2003 15:52'!
imageForTranscript
	^((ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 2290649224 2295332864 3208 2290649224 2290649224 3490357786 2790735884 2290649224 2290649229 178921754 2791659328 3364391048 2290649296 2862748075 3127268724 210274440 2290650378 2854296251 3148244311 1086883976 2290667690 588323499 3148244567 1141672072 2290667690 839981755 3148244567 1141672072 2290944682 839981739 3148244567 1950402696 2290944686 839981755 3148244567 1950402696 2290944738 839981739 3148244567 1950402696 2290944686 3792771771 3148244567 3829450888 2290944750 787356331 3953583854 1950402696 2290944686 4008636139 4008636142 1950402696 2290667690 774774510 4008109543 3826026632 2290647210 589369838 3194381687 1141409928 2290650378 2720141739 3127268724 1086883976 2290649098 2721190315 3127269236 1082689672 2290649296 2854363419 3060094788 210274440 2290649229 170074395 3060102976 3364391048 2290649224 3500810779 3059184652 2290649224 2290649224 2366284331 3078176968 2290649224 2290649224 2295376418 2006191240 2290649224 2290649224 2290944546 2034288776 2290649224 2290649224 2290667682 2483849352 2290649224 2290649224 2290650576 214468744 2290649224 2290649224 2290650380 3502803080 2290649224 2290649224 2290667520 218925192 2290649224 2290649224 2290667733 2886502536 2290649224 2290649224 2290667525 3691808904 2290649224 2290649224 2290667741 3691808904 2290649224 2290649224 2290647040 559240 2290649224 2290649224 2290649292 3431499912 2290649224)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #(0.0 0.0 0.741) #(0.0 0.741 0.0) #(0.0 1.0 0.0) #(0.0 0.741 0.741) #(0.741 0.0 0.0) #(1.0 0.0 0.0) #(0.741 0.0 0.741) #( ) #(1.0 0.0 1.0) #(0.741 0.741 0.0) #(1.0 1.0 0.0) #(0.517 0.517 0.517) #(0.776 0.776 0.776) #(1.0 1.0 1.0) #(0.0 0.0 0.0)  ))! !

!DWSPDeveloperMenu class methodsFor: 'resources' stamp: 'TBN 12/10/2003 09:33'!
imageForWorkspace
	^(ColorForm
	extent: 32@32
	depth: 4
	fromArray: #( 287449634 572662306 572662289 286331153 287589444 1145324612 1145324033 286331153 287589444 1145324612 1145324064 286331153 287589444 1145324612 1145324082 17895697 287589444 1145324612 1145324099 537989393 287589444 1145324612 1145324100 838930705 287589376 4 1145324032 4369 287589444 1145324612 1145324612 1144000785 287589376 279620 1145324612 1144000785 287589444 1145324612 1145324612 1144000785 287589376 0 17476 1144000785 287589444 1145324612 1145324612 1144000785 287589444 1145324612 1145324612 1144000785 287589444 1145324612 1145324612 1144000785 287589376 4 1073741828 1144000785 287589444 1145324612 1145324612 1144000785 287589444 1145324612 1145324612 1144262929 287589376 17476 1110720516 1145316113 287589444 1145324612 590562372 1145189169 287589376 1092 608384068 1141064497 287589444 1145324612 608371780 1127498545 287589444 1145324612 608449348 1077166897 287589376 4 860111940 1145324049 287589444 1145324612 860111940 1145319441 287589376 4 809775172 809775633 287589444 1145324612 1111752756 3420945 287589444 1145324612 1145307204 4473873 287589444 1145324612 1145320260 1128547345 287589444 1145324612 840967235 1126179345 287589444 1145324612 838861568 50332433 287519539 858993475 570434610 1107436321 285212672 67 860111940 1145319985)
	offset: 0@0)
	colorsFromArray: #(#(0.0 0.0 0.0) #( ) #(0.517 0.517 0.517) #(0.776 0.776 0.776) #(1.0 1.0 1.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0) #(0.0 0.0 0.0)  )! !


!DWSPDeveloperMenu class methodsFor: 'instance creation' stamp: 'TBN 10/22/2003 14:24'!
open

	^self new 
		open! !

!DWSPDeveloperMenu class methodsFor: 'parts bin' stamp: 'TBN 12/4/2003 12:03'!
descriptionForPartsBin

	^ self partName: 	'Developer Menu'
		categories:		#('DeveloperWorkspace')
		documentation:	'A menue for accessing common developer tools'
	! !


DWSPWindow subclass: #DWSPFrameWindow
	instanceVariableNames: 'childArea '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DeveloperWorkspace-UI'!

!DWSPFrameWindow methodsFor: 'component creation' stamp: 'TBN 12/4/2003 12:48'!
createChildArea
	^(BorderedMorph new)
		color: self color;
		borderStyle: BorderStyle complexInset;
		borderWidth: 1;
		yourself! !


!DWSPFrameWindow methodsFor: 'accessing' stamp: 'TBN 12/4/2003 12:31'!
childArea
	childArea isNil ifTrue: [childArea := self createChildArea].
	^childArea! !


!DWSPFrameWindow methodsFor: 'window initialization' stamp: 'TBN 12/4/2003 12:31'!
initChildArea
	 
	self 
		addComponent: self childArea
		fractions: #(0 0 1 1)
		offsets: #(2 22 -2 -2)! !

!DWSPFrameWindow methodsFor: 'window initialization' stamp: 'TBN 12/4/2003 12:32'!
initChildWindows
	self initChildArea
! !


!DWSPFrameWindow methodsFor: 'utilities' stamp: 'TBN 12/4/2003 12:39'!
addChildComponent: aMorph fractions: fractions offsets: offsets

	self 
		addComponent: aMorph 
		to: self childArea 
		fractions: fractions 
		offsets: offsets! !


DWSPFrameWindow subclass: #DWSPObjectPaletteMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DeveloperWorkspace-UI'!
!DWSPObjectPaletteMorph commentStamp: 'TBN 12/4/2003 11:43' prior: 0!
Just evaluate

	self open

This morph is able to hold other morhs!


!DWSPObjectPaletteMorph methodsFor: 'accessing' stamp: 'TBN 12/4/2003 12:05'!
isPartsBin: aBoolean
	self childArea isPartsBin: aBoolean! !


!DWSPObjectPaletteMorph methodsFor: 'component creation' stamp: 'TBN 12/4/2003 11:57'!
createChildArea
	^PasteUpMorph new
		color: (Color fromString: 'FFFFCE');
		borderStyle: BorderStyle raised;
		borderWidth: 1;
		yourself
! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DWSPObjectPaletteMorph class
	instanceVariableNames: ''!

!DWSPObjectPaletteMorph class methodsFor: 'parts bin' stamp: 'TBN 12/4/2003 12:04'!
descriptionForPartsBin

	^ self partName: 	'Object Palette'
		categories:		#('DeveloperWorkspace')
		documentation:	'A Simple palette window for holding objects'! !

!DWSPObjectPaletteMorph class methodsFor: 'parts bin' stamp: 'TBN 12/4/2003 12:04'!
supplementaryPartsDescriptions
	^ {DescriptionForPartsBin
		formalName: 'Object Parts Bin Palette'
		categoryList: #('DeveloperWorkspace')
		documentation: 'A Simple palette window holding objects and returning copies (parts bin behavior)'
		globalReceiverSymbol: #DWSPObjectPaletteMorph
		nativitySelector: #partsBin}! !


!DWSPObjectPaletteMorph class methodsFor: 'instance creation' stamp: 'TBN 12/4/2003 11:59'!
partsBin

	^(self new)
		isPartsBin: true;
		yourself
! !


DWSPFrameWindow subclass: #DWSPTextWindow
	instanceVariableNames: 'text '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DeveloperWorkspace-UI'!

!DWSPTextWindow methodsFor: 'component creation' stamp: 'TBN 12/4/2003 12:58'!
createChildArea

	^(PluggableTextMorph on: self text: #text accept: nil)
		color: Color white;
		borderStyle: BorderStyle complexInset;
		borderWidth: 1;
		cornerStyle: #squared;
		yourself! !


!DWSPTextWindow methodsFor: 'accessing' stamp: 'TBN 12/4/2003 12:57'!
text
	^text! !

!DWSPTextWindow methodsFor: 'accessing' stamp: 'TBN 12/4/2003 12:57'!
text: anObject
	text := anObject! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DWSPTextWindow class
	instanceVariableNames: ''!

!DWSPTextWindow class methodsFor: 'as yet unclassified' stamp: 'TBN 12/4/2003 12:59'!
descriptionForPartsBin

	^ self partName: 	'Text Window'
		categories:		#('DeveloperWorkspace')
		documentation:	'A Simple window for writing text'! !	

!DWSPInstaller class reorganize!
('installation' install)
('resources' squeakDeveloperImage)
('resource handling' reconstituteResourceFrom: reconstituteStreamFrom:)
!

"Postscript:"

!

